Loading...
Searching...
No Matches
lacgv: Conjugate vector
Dense LA » MAGMA BLAS and Auxiliary » Level 2: matrix-vector operations, O(n^2) work

\(x = conj(x)\) More...

## Functions

void | magmablas_clacgv (magma_int_t n, magmaFloatComplex *x, magma_int_t incx, magma_queue_t queue)
| CLACGV conjugates a complex vector of length N.
void | magmablas_zlacgv (magma_int_t n, magmaDoubleComplex *x, magma_int_t incx, magma_queue_t queue)
| ZLACGV conjugates a complex vector of length N.

## Detailed Description

\(x = conj(x)\)

## Function Documentation

## magmablas_clacgv()

void magmablas_clacgv | ( | magma_int_t | n,
|  | magmaFloatComplex * | x,
|  | magma_int_t | incx,
|  | magma_queue_t | queue )

CLACGV conjugates a complex vector of length N.

Parameters

  [in] | n | INTEGER The length of the vector X. N >= 0.
  [in,out] | x | COMPLEX array, dimension (1+(N-1)*abs(INCX)) On entry, the vector of length N to be conjugated. On exit, X is overwritten with conjg(X).
  [in] | incx | INTEGER The spacing between successive elements of X.
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_zlacgv()

void magmablas_zlacgv | ( | magma_int_t | n,
|  | magmaDoubleComplex * | x,
|  | magma_int_t | incx,
|  | magma_queue_t | queue )

ZLACGV conjugates a complex vector of length N.

Parameters

  [in] | n | INTEGER The length of the vector X. N >= 0.
  [in,out] | x | COMPLEX*16 array, dimension (1+(N-1)*abs(INCX)) On entry, the vector of length N to be conjugated. On exit, X is overwritten with conjg(X).
  [in] | incx | INTEGER The spacing between successive elements of X.
  [in] | queue | magma_queue_t Queue to execute in.